[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectQueue.Pop

Pop the first element off the queue

## Declaration

Source position: contnrs.pp line 175

`public function TObjectQueue.Pop: TObject;`

## Function result

The first element in the queue, or Nil if the queue is empty

## Description

Pop removes the first element in the queue, and returns a reference to the instance. If the queue is empty, Nil is returned.

## Errors

None.

## See also

TObjectQueue.Push |  | Push an object on the queue
TObjectQueue.Peek |  | Look at the first object in the queue.

Documentation generated on: Feb 26 2014